# Safe jail

## Presentation

LemonLDAP::NG uses Safe jail to evaluate all expressions:

- Access rule
- Header
- Form replay parameters
- Macros
- Groups
- Conditions:
  - Menu modules display
  - Multi modules display
  - IssuerDB use
  - Session opening

More information about Safe on CPAN

## Disable Safe jail

Safe can be very annoying when using extended functions or custom functions. In this case, you might want to disable it.

To do this, go into Manager > General Parameters > Advanced Parameters > Security > Use Safe Jail and disable it.